Get 15% off on all our plugins, themes and memberships till 4th December. Use coupon: BLACKFRIDAY2021.

BuddyDev

Search

[Resolved] BP Xprofile Member Type Field v 1.0.1 gives Strict standards warning

  • Participant
    Level: Initiated
    Posts: 19
    Ada on #2738

    Hi Brajesh, thank you for this great plugin and the accompanying member type generator. Unfortunately I receive this error/warning BP 2.4 and WP 4.4 when in debug mode which also has some side effects:

    Strict standards: Declaration of BD_XProfile_Field_Type_MemberType::display_filter() should be compatible with BP_XProfile_Field_Type::display_filter($field_value, $field_id = ”) in …\wp-content\plugins\bp-xprofile-member-type-field\fields\class-member-type-field.php on line 167

    This happens on local dev, production server, multi-network, or main site activation.

    Assuming this is simply due to incompatibility with latest BP, WP or php version, can this plugin be please updated to fix this issue?

    Many thanks in advance.

  • Participant
    Level: Initiated
    Posts: 19
    Ada on #2739

    Actually never mind. The version in question was not properly showing (partial ftp transfer issue). Removed and re-installed v1.0.1 and see no errors. Thanks you.

  • Keymaster
    Level: Yogi
    (BuddyDev Team)
    Posts: 1946
    Ravi on #2740

    Hi Ada

    Thank You for posting and confirming that it was not a issue. I am glad that issue is fixed.

    Thank You
    Ravi

  • Keymaster
    (BuddyDev Team)
    Posts: 19833
    Brajesh Singh on #2747

    Looked at it. It seems an issue. An update is on its way.

  • Keymaster
    (BuddyDev Team)
    Posts: 19833
    Brajesh Singh on #2748

    Sorry guys. It was my bad. The current version available for BuddyDev doe not have this issue. I had an older version that gave me same warning( and I should have checked the version).

    Thank you both. Marking it as resolved.

You must be logged in to reply to this topic.

This topic is: resolved